-- A stripped down version of classic.lua, a library for making objects.

local Object = {}
Object.__index = Object

function Object:new ()

end

function Object:extend ()
	local copy = {}
	for key, value in pairs(self) do
		if key:find("__") == 1 then
			copy[key] = value
		end
	end
	setmetatable(copy, self)
	copy.__index = copy
	copy.super = self
	return copy
end

function Object:__call (...)
	local object = setmetatable({}, self)
	object:new(...)
	return object
end

return Object
