require("libraries/math")

local levelManager = require("managers/levelManager")
local level = require("objects/level")
local player = require("objects/player")
levelManager:loadLevel()

function love.update (deltaTime)
	level:update(deltaTime)
	player:update(deltaTime)
end

function love.draw ()
	love.graphics.scale(2, 2)
	level:draw()
	player:draw()
end
